Get Payout
GET /payouts/{transaction_uuid}
Returns the details of an existing Payout.
Response Fields
uuid
string
The Transaction’s UUID.
Example value: trx_422f0f81-5001-4cce-a229-242d9ab9960a
code
string
The Transaction’s code.
Example value: TXNMW9PCWE
status
string
The Transaction’s status.
Example value: SUCCESSFUL
remarks
string
The Transaction’s remarks.
Example value: INSUFFICIENT_FUNDS
tenant
object
The ID of the Tenant that originated the transaction.
Example value:
{"uuid": "ten_0521aadc-5fbd-4b3c-af0a-a4f4b8d6f20a"}
creation_source
string
The creation source of the Transaction.
Example value: MERCHANT_API
destination_account
object
The ID of the destination account.
Example value:
{"uuid": "acc_0521aadc-5fbd-4b3c-af0a-a4f4b8d6f20a"}
type
string
The type of Transaction.
Example value: PAYOUT
amount
integer
The amount of money, in the smallest denomination of the currency indicated by currency, including the values after the decimal separator. For example, when currency is USD, amount is in cents. $10.00 USD is 1000.
Example value: 10000
currency
object
The type of currency, in ISO 4217 format. See Currency for values. For example, the currency code for US dollars is USD.
Example value: {"code": "USD"}
description
string
The description of this transaction. Users may see this description (e.g., in email receipts DRUO sends on your behalf).
Example value: Insurance policy renewal - INV12324
primary_reference
string
An optional primary ID you can associate with the transaction for your own purposes (such as to associate the transaction with an entity ID in your own database). This value cannot exceed 40 characters.
Example value: ABC123
secondary_reference
string
An optional secondary ID you can associate with the transaction for your own purposes (such as to associate the transaction with an entity ID in your own database). This value cannot exceed 40 characters.
Example value: bj39fhow39fhqp3f0hfae4344
metadata
string
Set of key-value pairs that you can attach to an object. You can specify up to 50 keys, with key names up to 40 characters long and values up to 500 characters long.
Example value: {"order_id": "6735"}
decline_reason
string
The reason behind a transaction being declined.
Example value: INSUFFICCIENT_FUNDS
date_created_gmt
string
Transaction created date
Example value: 2021-11-15T23:23:38
date_updated_gmt
string
Transaction updated date
Example value: 2021-11-15T23:23:38
net_amount
integer
The Transaction’s net amount:
Example value: 20400
fixed_fee
integer
The Transaction’s fixed fee.
Example value: 0
total_fee
integer
The Transaction’s total fee.
Example value: 400
variable_fee
integer
The Transaction’s variable fee.
Example value: 400
curl --location 'https://api.druo.com/payouts/trx_1f4dc72b-5b76-432c-8f4f-e0919aaff3f5' \ --header 'DRUO-Version: 2021-11-22' \ --header 'Authorization: Bearer ACCESS_TOKEN'
{
"payout": {
"uuid": "trx_1f4dc72b-5b76-432c-8f4f-e0919aaff3f5",
"code": "TICJHVHF85M",
"status": "SUCCESSFUL",
"remarks": null,
"tenant": {
"uuid": "ten_35516d40-ca41-4fa3-885c-d13d0ccdae0a"
},
"creation_source": "MERCHANT_API",
"destination_account": {
"uuid": "acc_b7c41206-afb4-4954-a15c-dbcd59356120"
},
"type": "PAYOUT",
"amount": 20000,
"currency": {
"code": "USD"
},
"description": "null",
"primary_reference": "null",
"secondary_reference": "null",
"metadata": {},
"decline_reason": null,
"date_created_gmt": "2023-10-09T16:46:16.766Z",
"date_updated_gmt": "2023-10-09T16:46:25.163Z",
"net_amount": "20400",
"fixed_fee": "0",
"total_fee": "400",
"variable_fee": "400"
}
}